- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# LightModel.cpp File Reference

`#include <osg/LightModel>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for lugins/osg/LightModel.cpp:

## Functions
bool | LightModel_readLocalData (Object &obj, Input &fr)
bool | LightModel_writeLocalData (const Object &obj, Output &fw)
## Variables
RegisterDotOsgWrapperProxy | g_LightModelProxy (new osg::LightModel,"LightModel","Object StateAttribute LightModel",&LightModel_readLocalData,&LightModel_writeLocalData)

## Function Documentation

bool LightModel_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool LightModel_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_LightModelProxy(new osg::LightModel,"LightModel","Object StateAttribute LightModel",&LightModel_readLocalData,&LightModel_writeLocalData)